/*
 *	Project:		<none>
 *
 *	Filename: 		DirectoryPopup.h
 *
 *	Author: 		Marco Piovanelli
 *
 *	Revision History:
 *
 *			1996.06.02				MP		created this file
 *
 */

#ifndef __FILES__
#include <Files.h>
#endif

#ifndef __MENUS__
#include <Menus.h>
#endif

#ifndef __WINDOWS__
#include <Windows.h>
#endif

//	volume kinds

enum
{
	kVolumeKindCDROM		=	'Appl' ,		//	CD-ROM
	kVolumeKindDiskImage	=	'Mung' ,		//	disk image
	kVolumeKindFloppy		=	'Sony' ,		//	floppy
	kVolumeKindFileServer	=	'AFPT' ,		//	AppleShare file server
	kVolumeKindRAMDisk		=	'EDis'			//	RAM disk
} ;

//	other constants

enum
{
	kDirectoryPopupMenuID = 93		//	directory pop-up menu ID
} ;

OSType GetVolumeKind ( SInt16 inVolumeRefNum ) ;
MenuRef BuildDirectoryPopup ( const FSSpec * inFileSpec ) ;
Boolean TrackDirectoryPopup ( FSSpec * ioFileSpec, WindowRef inWindow, Point inHitPt ) ;
